Bug 490721 - Review Request: R-Biostrings - String objects representing biological sequences
Review Request: R-Biostrings - String objects representing biological sequences
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On: 490723
Blocks: 490722
  Show dependency treegraph
 
Reported: 2009-03-17 14:15 EDT by Pierre-YvesChibon
Modified: 2009-05-26 03:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.12.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 03:53:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2009-03-17 14:15:35 EDT
Spec URL: http://pingou.fedorapeople.org/RPMs/R-Biostrings.spec
SRPM URL: http://pingou.fedorapeople.org/RPMs/R-Biostrings-2.10.21-1.fc10.src.rpm
Description:
Memory efficient string containers, string matching algorithms, and other 
utilities, for fast manipulation of large biological sequences or set of 
sequences.
Comment 1 Mattias Ellert 2009-03-25 14:33:11 EDT
Fedora review R-Biostrings-2.10.21-1.fc10.src.rpm (2009-03-25)

* OK
! Needs attention

* rpmlint output

R-Biostrings.x86_64: W: one-line-command-in-%post /usr/lib/rpm/R-make-search-index.sh
R-Biostrings.x86_64: W: one-line-command-in-%postun /usr/lib/rpm/R-make-search-index.sh
R-Biostrings-devel.x86_64: W: only-non-binary-in-usr-lib
R-Biostrings-devel.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 4 warnings.

  The one-line-command warnings are standard for R packages
  The no-documentation warning for devel is OK (documentation is in main)
  The only-non-binary-in-usr-lib devel for devel can be ignored
    (the previous rpmlint version listed this one as an error)

* Package is named according to R packaging guidlines

* Package follows R packaging guidelines

* The package is licensed under a Fedora approved license (Artistic 2.0)

* The package license corresponds to the license mentioned in the
  DESCRIPTION file, no conflicting license statements are present in
  the package's source files.

  (There is a different license [LGPL] mentioned in the Biostrings1
  subdirectory, but no files from this subdirectory are packaged or
  used during the build.)

* License text not included in the package (OK since the stated
  licence does not require it).

! Specfile is written in legible English and uses macros consitently,
  however:

  The URL field uses the macro %{BioC} with is not defined anywhere.
  The url point to the right location if this macro is assumed to be
  an empty string, so techncally they are correct, but it is a source
  of confusion. [Sorry for putting this comment in the R-IRanges
  review, where it didn't belong (as you rightly pointed out) - the
  intention was to put it in this review.]

  The comment that says "#i368 arch" should probaly read something
  like "#architecture dependent package", because that I think is what
  you really mean.

  The NEWS file might belong in %doc

* Sources match upstream and are the latest version:

  59e67acb017722ace830721d2edcb3de  Biostrings_2.10.21.tar.gz
  59e67acb017722ace830721d2edcb3de  SRPM/Biostrings_2.10.21.tar.gz

! Package compiles, but there are some warnings

  The warnings from the C code are all of types that usually can be ignored.
  There are some warnings from R that I can not judge:

Warning in matchSignature(signature, fdef, where) :
  in the method signature for function "XString" no definition for class: "AsIs"
Warning in matchSignature(signature, fdef, where) :
  in the method signature for function "XStringSet" no definition for class: "AsIs"
Warning in matchSignature(signature, fdef, where) :
  in the method signature for function "BStringViews" no definition for class: "file"
Warning in matchSignature(signature, fdef, where) :
  in the method signature for function "PDict" no definition for class: "AsIs"
Warning in matchSignature(signature, fdef, where) :
  in the method signature for function "eq" no definition for class: "BioString"

  Are these benign or an indication of missing BuildRequires?

* BuildRequires look sane (but see comment on the previous point)

* %check is present, but disabled with the comment:

  # Ask for R-BSgenome which cannot build without R-Biostring

  Disabling the test in this case is OK, since you otherwise would
  have a chicken and egg problem. Changing "Ask" to "Asks" in the
  comment would be better grammar, and saying "Requires" instead might
  be even better, but that is just details that are not really
  significant.

* The package owns the directories it creates

* No duplicate files

* %files has %defattrs, and permissions are sane.

* %clean clears %buildroot

* Package contains code

* Headers are in -devel

! Since the -devel package does not include a .pc file it should not
  require pkgconfig

* -devel requires main with fully qualified version

* Package doesn't own other's directories

* %install clears %buildroot

* Installed filenames are valid UTF8 (even valid ASCII)

* Package builds in mock (Fedora 10)

* Scriptlets are sane
Comment 3 Mattias Ellert 2009-04-03 05:15:09 EDT
This looks quite good, but if I try to use this package to build the R-BSgenome package I get this error:

Loading required package: Biostrings
Warning: Multiple methods tables found for 'score'
Warning: Multiple methods tables found for 'substr'
Warning: Multiple methods tables found for 'substring'
Warning: Multiple methods tables found for 'chartr'
Error in insertMethod(m1, as.character(sigi), args, el(methods, i), FALSE) :
  inserting method with invalid signature matching argument '...' to class "ANY\
"
Error: package 'Biostrings' could not be loaded
Execution halted

Is this error caused by the R-Biostrings package not working, or is it used in the wrong way by the R-BSgenome package?
Comment 4 Pierre-YvesChibon 2009-04-03 05:55:03 EDT
Hm indeed I run in the same problem while just trying to load Biostrings in R.

Thanks for pointing this out I will investigate the source of the problem.
Comment 5 Pierre-YvesChibon 2009-04-03 09:00:42 EDT
After asking the Bioconductor-devel mailing list the answer is that the bug comes from the IRanges.

I used the developmental version of IRanges to get the corrected DESCRIPTION file, this seems to not be compatible with the current Biostrings.
I normally only package the stable version of Bioconductor but since the new release is coming before the end of the month I took the risk and there is the bug.

I will update Biostrings to the development version aswell so that we can finish the review.
Comment 6 Mattias Ellert 2009-04-30 11:55:32 EDT
Any progress with this package?
Comment 7 Pierre-YvesChibon 2009-05-01 02:44:38 EDT
Yes, I have updated all the bioconductor packages to the latest stable version and update Biostrings as well:
SPEC:
http://pingou.fedorapeople.org/RPMs/R-Biostrings.spec
SRPM:
http://pingou.fedorapeople.org/RPMs/R-Biostrings-2.12.1-1.fc10.src.rpm
Comment 8 Mattias Ellert 2009-05-06 02:51:44 EDT
Package fails to build:

Error in loadNamespace(i[[1L]], c(lib.loc, .libPaths())) : 
  there is no package called 'Biobase'
ERROR: lazy loading failed for package 'Biostrings'

Missing Requires and BuildRequires on R-Biobase?
Comment 9 Pierre-YvesChibon 2009-05-06 04:47:32 EDT
Depends : R , methods , IRanges
Imports : methods , utils , IRanges , Biobase 

-_- I love Bioconductor's dependencies...

SPEC:
http://pingou.fedorapeople.org/RPMs/R-Biostrings.spec
SRPM:
http://pingou.fedorapeople.org/RPMs/R-Biostrings-2.12.1-2.fc10.src.rpm
Does not build on koji since R-IRanges does not have the right version available yet.
Comment 10 Mattias Ellert 2009-05-06 10:20:45 EDT
Package approved.
Comment 11 Pierre-YvesChibon 2009-05-06 15:23:42 EDT
New Package CVS Request
=======================
Package Name: R-Biostrings
Short Description: String objects representing biological sequences
Owners: pingou
Branches: F-10 F-11
InitialCC:
Comment 12 Kevin Fenzi 2009-05-06 16:59:29 EDT
cvs done.
Comment 13 Fedora Update System 2009-05-26 03:53:00 EDT
R-Biostrings-2.12.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-26 03:55:19 EDT
R-Biostrings-2.12.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.